package com.njty.eurekaclient;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;

@EnableEurekaClient
@SpringBootApplication
public class EurekaclientApplication {

	@Value("${helloConfig}")
	private String helloConfig;

	public static void main(String[] args) {
		SpringApplication.run(EurekaclientApplication.class, args);
	}

}
