package com.njty.eurekaclient.controller;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RefreshScope
@RestController
@RequestMapping("/hello")
public class HelloController {

    @Value("${helloConfig}")
    private String helloConfig;

    @GetMapping("/showHelloConfig")
    public String showHelloConfig(){
        return helloConfig;
    }
}
